<template>
  <component :is="is.componentWithDefault()" :modal="is" v-slot:default="slotdata">
    <slot v-bind="slotdata"></slot>
  </component>
</template>

<script lang="ts">
import { Modal } from "..";

export default {
  name: "Modal",
  props: {
    is: {
      type: Modal,
      required: true
    }
  }
};
</script>
